Bug 198103 - Problems with various Find macros
Problems with various Find macros
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-09 14:28 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-14 16:44:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2006-07-09 14:28:13 EDT
Description of problem:
- FindSWIG doesn't find /usr/bin/swig (there is no /usr/bin/swig-1.3)
- FindRuby doesn't work on x86_64 (fails to check /usr/lib64/ )
- Missing FindXXX macros for languages available in extras:
           FindLua, FindCsharp, FindGuile, FindOCAML
- Inconsistent naming:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. (noted while trying to use cmake for graphviz)
Actual results:

Expected results:
- FindXXX macros should be available for all languages in Fedora core and
extras, and particularly those languages supported by swig.
- FindXXX macros should have a consistent API: all setting XXX_FOUND, and all
setting include and library paths in a consistent way.  

Additional info:
Encountered while trying to use cmake for graphviz.
Comment 1 Orion Poplawski 2006-07-11 12:56:14 EDT
- FindSWIG reported upstream

- FindRuby is essentially the same issue.  Needs to look for libruby.so rather
than libruby1.8.so.  cmake automatically looks in lib64 when lib is in the path
on x86_64.

- Please file requests for more Find macros upstream (although it looks like
some already have been), or if you know of a collection of Find* macros that we
should provide as well give me a url.

I've just built cmake-2.4.2-2.fc6 which has patches for FindRuby and FindSWIG. 
Let me know if that fixes it for you.
Comment 2 Orion Poplawski 2006-12-14 16:44:23 EST
Closing due to no response.

Note You need to log in before you can comment on or make changes to this bug.